-- progression-trees
-- Author: Zeratulag
--------------------------------------------------------------

-- ProgressionTreeNodeUnlocks
--------------------------------------------------------------
-- 为AQ时代的未来市政添加效果（仅当节点存在时）
INSERT INTO ProgressionTreeNodeUnlocks (ProgressionTreeNodeType, TargetKind, TargetType, UnlockDepth)
SELECT 'NODE_CIVIC_AQ_MAIN_FUTURE_CIVIC', 'KIND_MODIFIER', 'MOD_AQ_SETTLEMENT_CAP_INCREASE', 1
WHERE EXISTS (SELECT 1 FROM ProgressionTreeNodes WHERE ProgressionTreeNodeType = 'NODE_CIVIC_AQ_MAIN_FUTURE_CIVIC');

-- 为EX时代的未来市政添加效果（仅当节点存在时）
INSERT INTO ProgressionTreeNodeUnlocks (ProgressionTreeNodeType, TargetKind, TargetType, UnlockDepth)
SELECT 'NODE_CIVIC_EX_MAIN_FUTURE_CIVIC', 'KIND_MODIFIER', 'MOD_EX_SETTLEMENT_CAP_INCREASE', 1
WHERE EXISTS (SELECT 1 FROM ProgressionTreeNodes WHERE ProgressionTreeNodeType = 'NODE_CIVIC_EX_MAIN_FUTURE_CIVIC');

-- 为MO时代的未来市政添加效果（仅当节点存在时）
INSERT INTO ProgressionTreeNodeUnlocks (ProgressionTreeNodeType, TargetKind, TargetType, UnlockDepth)
SELECT 'NODE_CIVIC_MO_MAIN_FUTURE_CIVIC', 'KIND_MODIFIER', 'MOD_MO_SETTLEMENT_CAP_INCREASE', 1
WHERE EXISTS (SELECT 1 FROM ProgressionTreeNodes WHERE ProgressionTreeNodeType = 'NODE_CIVIC_MO_MAIN_FUTURE_CIVIC');

--------------------------------------------------------------

-- 为AQ时代的未来科技添加效果（仅当节点存在时）
INSERT INTO ProgressionTreeNodeUnlocks (ProgressionTreeNodeType, TargetKind, TargetType, UnlockDepth)
SELECT 'NODE_TECH_AQ_FUTURE_TECH', 'KIND_MODIFIER', 'MOD_AQ_SETTLEMENT_CAP_INCREASE', 1
WHERE EXISTS (SELECT 1 FROM ProgressionTreeNodes WHERE ProgressionTreeNodeType = 'NODE_TECH_AQ_FUTURE_TECH');

-- 为EX时代的未来科技添加效果（仅当节点存在时）
INSERT INTO ProgressionTreeNodeUnlocks (ProgressionTreeNodeType, TargetKind, TargetType, UnlockDepth)
SELECT 'NODE_TECH_EX_FUTURE_TECH', 'KIND_MODIFIER', 'MOD_EX_SETTLEMENT_CAP_INCREASE', 1
WHERE EXISTS (SELECT 1 FROM ProgressionTreeNodes WHERE ProgressionTreeNodeType = 'NODE_TECH_EX_FUTURE_TECH');

-- 为MO时代的未来科技添加效果（仅当节点存在时）
INSERT INTO ProgressionTreeNodeUnlocks (ProgressionTreeNodeType, TargetKind, TargetType, UnlockDepth)
SELECT 'NODE_TECH_MO_FUTURE_TECH', 'KIND_MODIFIER', 'MOD_MO_SETTLEMENT_CAP_INCREASE', 1
WHERE EXISTS (SELECT 1 FROM ProgressionTreeNodes WHERE ProgressionTreeNodeType = 'NODE_TECH_MO_FUTURE_TECH');
